namespace Core.Calculation;

public class TeamSchedulerOptions(
    int timeSlots = 3,
    string[]? absentStudents = null,
    string[]? extended = null,
    string[]? omittedEvents = null,
    string[]? mustIncludeEvents = null,
    DateTime date = new()
)
{
    public int TimeSlots = timeSlots;
    public string[]? AbsentStudents = absentStudents;
    public string[]? ExtendedTeams = extended;
    public string[]? OmittedEvents = omittedEvents;
    public string[]? MustIncludeEvents = mustIncludeEvents;
    public DateTime Date { get; } = date == new DateTime() ? DateTime.Today : date;
}